# Class MoneyGramAccountPayload

#### Hierarchy

- unknown
  - MoneyGramAccountPayload

- Defined in src/protobuf/pb_pb.d.ts:4276
- Defined in src/protobuf/pb_pb.d.ts:4297

#####
Index

### Constructors

constructor

### Methods

getCountryCode
getEmail
getHolderName
getState
serializeBinary
setCountryCode
setEmail
setHolderName
setState
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new MoneyGramAccountPayload(): MoneyGramAccountPayload

- #### Returns MoneyGramAccountPayload

  Inherited from jspb.Message.constructor

## Methods

### getCountryCode

- getCountryCode(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:4280

### getEmail

- getEmail(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:4286

### getHolderName

- getHolderName(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:4277

### getState

- getState(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:4283

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:4289

### setCountryCode

- setCountryCode(value: string): MoneyGramAccountPayload

- #### Parameters

  - ##### value: string

  #### Returns MoneyGramAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:4281

### setEmail

- setEmail(value: string): MoneyGramAccountPayload

- #### Parameters

  - ##### value: string

  #### Returns MoneyGramAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:4287

### setHolderName

- setHolderName(value: string): MoneyGramAccountPayload

- #### Parameters

  - ##### value: string

  #### Returns MoneyGramAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:4278

### setState

- setState(value: string): MoneyGramAccountPayload

- #### Parameters

  - ##### value: string

  #### Returns MoneyGramAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:4284

### toObject

- toObject(includeInstance?: boolean): MoneyGramAccountPayload.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns MoneyGramAccountPayload.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:4290

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): MoneyGramAccountPayload

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns MoneyGramAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:4293

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: MoneyGramAccountPayload, reader: BinaryReader): MoneyGramAccountPayload

- #### Parameters

  - ##### message: MoneyGramAccountPayload

  - ##### reader: BinaryReader

  #### Returns MoneyGramAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:4294

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: MoneyGramAccountPayload, writer: BinaryWriter): void

- #### Parameters

  - ##### message: MoneyGramAccountPayload

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:4292

### `Static` toObject

- toObject(includeInstance: boolean, msg: MoneyGramAccountPayload): MoneyGramAccountPayload.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: MoneyGramAccountPayload

  #### Returns MoneyGramAccountPayload.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:4291

Generated using TypeDoc